<?php

namespace Nest\Configuration;

/**
 * Nest configuration service.
 */
trait ConfigurationService
{
	/**
	 * The configuration instance.
	 * @var Configuration
	 */
	private Configuration $configuration;

	protected function __nest__ConfigurationService(): void
	{
		// Initialize the configuration instance.
		$this->configuration = new Configuration($this);
	}

	/**
	 * Configuration service.
	 * @return Configuration The configuration manager.
	 */
	public function configuration(): Configuration
	{
		return $this->configuration;
	}
}
